Subject: bug#28625: [PROPOSED] Speed up (format "%s" STRING) and the like

From: John Wiegley <[email-masked]>
Date: Wed, 27 Sep 2017 14:33:19 -0700

>>>>> Paul Eggert <[email-masked]> writes:

> Also, the change simplifies the Emacs source code, and that's a win even if
> the performance gain is small.

Can you enable ELP for just 'format', use Emacs for a few hours as you
normally do, and then report how many times, and how much time, is consumed in
its use? I'm not really interested in benchmarks that stress format. If the
time advantage is lost in the background noise, I don't think it's worth
changing.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2